import { Options } from '../../../../shared/types.js';
import 'zod';
import '../../../../shared/codes.js';

declare function createDotGitHub(options: Options): Promise<{
    "renovate.json"?: string | undefined;
    "ISSUE_TEMPLATE.md": string;
    "PULL_REQUEST_TEMPLATE.md": string;
    "SECURITY.md": string;
    "FUNDING.yml"?: string | undefined;
    "CODE_OF_CONDUCT.md": string;
    "CONTRIBUTING.md": string;
    "DEVELOPMENT.md": string;
    actions: {
        prepare: {
            "action.yml": string;
        };
    };
    ISSUE_TEMPLATE: {
        "01-bug.yml": string;
        "02-documentation.yml": string;
        "03-feature.yml": string;
        "04-tooling.yml": string;
    };
    workflows: {
        "release.yml"?: string | undefined;
        "pr-review-requested.yml": string;
        "post-release.yml"?: string | undefined;
        "contributors.yml"?: string | undefined;
        "compliance.yml"?: string | undefined;
        "accessibility-alt-text-bot.yml": string;
        "ci.yml": string;
    };
}>;

export { createDotGitHub };
